package com.ruoyi.bid.service;

import java.util.List;
import com.ruoyi.bid.domain.BidZizhi;

/**
 * 资质证书Service接口
 * 
 * @author ruoyi
 * @date 2025-12-10
 */
public interface IBidZizhiService 
{
    /**
     * 查询资质证书
     * 
     * @param id 资质证书主键
     * @return 资质证书
     */
    public BidZizhi selectBidZizhiById(Long id);

    /**
     * 查询资质证书列表
     * 
     * @param bidZizhi 资质证书
     * @return 资质证书集合
     */
    public List<BidZizhi> selectBidZizhiList(BidZizhi bidZizhi);

    /**
     * 新增资质证书
     * 
     * @param bidZizhi 资质证书
     * @return 结果
     */
    public int insertBidZizhi(BidZizhi bidZizhi);

    /**
     * 修改资质证书
     * 
     * @param bidZizhi 资质证书
     * @return 结果
     */
    public int updateBidZizhi(BidZizhi bidZizhi);

    /**
     * 批量删除资质证书
     * 
     * @param ids 需要删除的资质证书主键集合
     * @return 结果
     */
    public int deleteBidZizhiByIds(Long[] ids);

    /**
     * 删除资质证书信息
     * 
     * @param id 资质证书主键
     * @return 结果
     */
    public int deleteBidZizhiById(Long id);
}
